---
description: >-
  Making a prediction using a linear regression model is a common use case in
  ML. This model predicts if a driver will complete a trip based on features
  ingested into Feast.
---

# Driver ranking

In this example, you'll learn how to use some of the key functionality in Feast. The tutorial runs in both local mode and on the Google Cloud Platform \(GCP\). For GCP, you must have access to a GCP project already, including read and write permissions to BigQuery.

## [Driver Ranking Example](https://github.com/feast-dev/feast-driver-ranking-tutorial)

This tutorial guides you on how to use Feast with [Scikit-learn](https://scikit-learn.org/stable/). You will learn how to:

* Train a model locally \(on your laptop\) using data from [BigQuery](https://cloud.google.com/bigquery/)
* Test the model for online inference using [SQLite](https://www.sqlite.org/index.html) \(for fast iteration\)
* Test the model for online inference using [Firestore](https://firebase.google.com/products/firestore) \(for production use\)

Try it and let us know what you think!

| ![](../.gitbook/assets/colab_logo_32px.png)[ Run in Google Colab ](https://colab.research.google.com/github/feast-dev/feast-driver-ranking-tutorial/blob/master/notebooks/Driver_Ranking_Tutorial.ipynb) | ![](../.gitbook/assets/github-mark-32px.png)[ View Source in Github](https://github.com/feast-dev/feast-driver-ranking-tutorial/blob/master/notebooks/Driver_Ranking_Tutorial.ipynb) |
| :--- | :--- |


